Subject: bug#6249: closed (Re: bug#6249: 23.2: vc-revert don't works in git)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 01 Jun 2010 07:10:03 +0000

Your bug report

#6249: 23.2: vc-revert don't works in git

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6249: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6249
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6249: 23.2: vc-revert don't works in git
From: Dan Nicolaescu <[email-masked]>
To: Mario Castelan Castro <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 Jun 2010 03:09:36 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Mario Castelan Castro <[email-masked]> writes:

> May 26th 2010 for Dan Nicolaescu <[email-masked]> copy in
> [email-masked] thread "bug#6249: 23.2: vc-revert don't works in
> git".
>
> Hi Dan.
>
> Please excuse my late reponse.  I got a bit busy.
>
> I just installed git 1.7.1, and this appears to fix the problem too,

Closing the bug then.

Subject: 23.2: vc-revert don't works in git
From: Mario Castelan Castro <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 22 May 2010 13:58:59 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

NotDashEscaped: You need GnuPG to verify this message

May 22th 2010 in [email-masked] thread "23.2: vc-revert don't
works in git"

Hi.

I found a possible bug:

Running M-x vc-revert from a buffer displaying a GIT-versioned file
with non commited changes gives a message like this, for each modified
file:

FILE: needs update

I.e: If the only modified file, wich I want to revert is program.c i get:

program.c: needs update

If there are more modified files, the message lists all them (I'ts the
same message if I run M-x vc-revert from program.c, program.h or
*vc-dir*).

program.c: needs update
program.h: needs update

Removing a line from vc-git.el appears to fix the problem.  This line
was added after 23.1 but before 23.2.  23.1 didn't gave this problem.
Here is the "patch" than removes the lines (Made againsting the BZR
revision 100413):

=== modified file 'lisp/vc-git.el'
*** lisp/vc-git.el	2010-04-21 02:05:24 +0000
--- lisp/vc-git.el	2010-05-22 18:43:28 +0000
*************** or an empty string if none."
*** 577,583 ****
    "Revert FILE to the version stored in the git repository."
    (if contents-done
        (vc-git-command nil 0 file "update-index" "--")
-     (vc-git-command nil 0 file "reset" "-q" "--")
      (vc-git-command nil nil file "checkout" "-q" "--")))
  
  ;;; HISTORY FUNCTIONS
--- 577,582 ----

Regards and thanks.